
%global meadversion 4.0.1
%global namedversion 4.0.1.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jakarta-ejb-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.0.1.redhat-00001

Name:           %{?scl_prefix}jakarta-ejb-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jakarta Enterprise Beans API
Group:          Development/Java

%if %with mead
Source100: jakarta.ejb-parent-4.0.1.redhat-00001-project-sources.tar.gz
Source102: jakarta.ejb-api-4.0.1.redhat-00001-sources.jar
Source103: jakarta.ejb-api-4.0.1.redhat-00001.pom
Source104: jakarta.ejb-api-4.0.1.redhat-00001.jar
%endif

License:        EPL-2.0 or GPLv2 with exceptions
URL:            https://github.com/jakartaee/enterprise-beans
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jakarta-ejb-api-%{namedversion}-%{release}-root

%description
Jakarta Enterprise Beans API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jakarta-ejb-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jakarta.ejb-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.ejb-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.ejb-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.ejb-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.ejb-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.ejb-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.ejb-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta-ejb-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.ejb-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta-ejb-api-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta-ejb-api-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-ejb-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jakarta-ejb-api
%defattr(0644,root,root,0755)
%doc CONTRIBUTING.md LICENSE.md NOTICE.md README.md
%{_javadir}/jakarta.ejb-api-%{namedversion}.jar
%{_javadir}/jakarta.ejb-api.jar
%if %with javadoc
%{_javadir}/jakarta.ejb-api-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.ejb-api-javadoc.jar
%endif
%{_javadir}/jakarta.ejb-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.ejb-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta-ejb-api-%{namedversion}
%{_javadocdir}/jakarta-ejb-api
%endif

%changelog
* Thu Oct 27 2022 Yong Yang <yyang@redhat.com> - 4.0.1-1.redhat_00001.1
- 4.0.1.redhat-00001
